com.datecs.universalreader

## Class UniversalReaderException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - java.io.IOException
      - - com.datecs.universalreader.UniversalReaderException

- All Implemented Interfaces:
    java.io.Serializable

      public final class UniversalReaderException
      extends java.io.IOException

  Signals that an exception of some sort has occurred due execution of Universal Reader operation.
  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `UniversalReaderException()` Constructs a new instance of this class.
    `UniversalReaderException(int errorCode)` Constructs a fully-specified instance of this class.
    `UniversalReaderException(java.lang.String message)` Constructs a new instance of this class.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `int` | `getErrorCode()` Retrieves the exception error code for this instance.

    - ### Methods inherited from class java.lang.Throwable

      `addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### UniversalReaderException

          public UniversalReaderException()

      Constructs a new instance of this class.

      The `message` field defaults to `null` and the `errorCode` field defaults to 0.

    - #### UniversalReaderException

          public UniversalReaderException(java.lang.String message)

      Constructs a new instance of this class.

      The `errorCode` field defaults to 0.

      Parameters:
        `message` - a description of the exception.

    - #### UniversalReaderException

          public UniversalReaderException(int errorCode)

      Constructs a fully-specified instance of this class.
      Parameters:
        `errorCode` - an error code that raise the exception.

  - ### Method Detail

    - #### getErrorCode

          public int getErrorCode()

      Retrieves the exception error code for this instance.
      Returns:
        the error code.